## okular 17.08.3

=== debian/changelog ===
okular (4:17.08.3-3mx17+1) mx; urgency=medium

  * New release repackaged from buster.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Feb 2018 15:17:51 -0800

okular (4:17.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Don Armstrong ]
  * Depend on kinit for kdeinit5 launcher (Closes: #886867)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:55:01 +0100

okular (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:32:50 +0100

okular (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Install the upstream man pages using dh_install files, not with
    dh_installman, as they are installed by upstream.
  * Bump the libqmobipocket-dev build dependency to >= 4:17.08~, so the KF5
    version of it is used. (Closes: #876494)
  * Remove unused libkf5dbusaddons-dev build dependency.
  * Fix Vcs-* fields.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 11:42:23 +0100

okular (4:17.08.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

  [ Jonathan Riddell ]
  * update sig

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:29 +0200

okular (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:11 +0000

okular (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:48 +0000

okular (4:17.04.2+p16.04+git20170711.1430-0) xenial; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Jul 2017 14:31:49 +0000

okular (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:57 +0000

okular (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:28:33 +0000

okular (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:26 +0000

okular (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:40 +0000

okular (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:59 +0000

okular (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:52 +0000

okular (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:34:20 +0000

okular (4:16.08.90~git11082016-0neon10) xenial; urgency=medium

  * Add xscreensaver to test runtime deps, I can't seem to sort out
    what the other test wants :(

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 11:22:45 -0700

okular (4:16.08.90~git11082016-0neon9) xenial; urgency=medium

  * Update tests to kf5.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 08:03:38 -0700

okular (4:16.08.90~git11082016-0neon8) xenial; urgency=medium

  * Fix inclue path in acc file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 06:38:39 -0700

okular (4:16.08.90~git11082016-0neon7) xenial; urgency=medium

  * Fix controls qml version. Still working on autopkg test failures.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 06:35:27 -0700

okular (4:16.08.90~git11082016-0neon6) xenial; urgency=medium

  * Add another missing qml dep.
  * Fix acc file to reflect new so file and version as this is a kf5 port.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 05:36:50 -0700

okular (4:16.08.90~git11082016-0neon5) xenial; urgency=medium

  * Some more copyright file cleanup.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 04:52:31 -0700

okular (4:16.08.90~git11082016-0neon4) xenial; urgency=medium

  * Fix Unknown copyright entry.
  * Add missing files.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 04:20:38 -0700

okular (4:16.08.90~git11082016-0neon3) xenial; urgency=medium

  * Add qml deps.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 17 Nov 2016 04:57:26 -0700

okular (4:16.08.90~git11082016-0neon2) xenial; urgency=medium

  * Fix copyright, install files.
  * Fix lintian overrides.
  * Add package for mobile.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 11 Nov 2016 07:57:44 -0700

okular (16.08.90~git11082016-1) xenial; urgency=medium

  * KF5 port

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 08 Nov 2016 12:39:46 -0700
