=== debian/changelog ===
okular (4:17.12.2-2.2+deb10u1) buster; urgency=medium

  * CVE-2020-9359 (Closes: #954891)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 07 Oct 2020 22:57:59 +0200

okular (4:17.12.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks+Replaces against okular-l10n from lenny. (Closes: #911641)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Mar 2019 13:05:50 +0100

okular (4:17.12.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix path traversal issue when extracting an .okular file
    (CVE-2018-1000801) (Closes: #908168)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Dec 2018 12:27:39 +0100

okular (4:17.12.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Feb 2018 06:57:20 +0100

okular (4:17.12.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (Closes: #887746)
    - allows one to save changed document archives (Closes: #598806)
  * Rename libokular5core7 to libokular5core8, according to the upstream SONAME
    bump.
  * Add the libmarkdown2-dev, and libzip-dev build dependencies, optionally
    needed by the new version (for CHM and Mardown backends).
  * Update install files.
  * Split the QML module from okular to a separate qml-module-org-kde-okular:
    this way the main application does not contain QML-related files, and
    dependencies anymore
    - make okular-mobile depend on this new module
    - remove all the QML dependencies from okular
  * Tighten the inter-library dependencies.
  * Switch the qml-module-org-kde-kirigami dependency in okular-mobile to
    qml-module-org-kde-kirigami2, as it is used now.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 17:48:16 +0100
