=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
@@ -30,6 +29,7 @@
                libkf5threadweaver-dev (>= 5.16.0~),
                libkf5wallet-dev (>= 5.16.0~),
                libkf5windowsystem-dev (>= 5.16.0~),
+               libmarkdown2-dev,
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libpoppler-qt5-dev (>= 0.12.1~),
@@ -39,6 +39,7 @@
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libx11-dev,
+               libzip-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.0~),
@@ -49,7 +50,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okular.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okular.git
 
-Package: libokular5core7
+Package: libokular5core8
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -61,13 +62,7 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: libokular5core7 (= ${binary:Version}),
-         qml-module-org-kde-kirigami,
-         qml-module-org-kde-kquickcontrolsaddons,
-         qml-module-qt-labs-folderlistmodel,
-         qml-module-qtgraphicaleffects,
-         qml-module-qtquick-controls,
-         kinit,
+Depends: kinit,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: cups-bsd
@@ -81,9 +76,11 @@
 Breaks: kdegraphics-mobipocket (<< 4:4.12),
         okular-extra-backends (<< 4:16.12.0),
         okular-mobile (<< 4:17.04.1-0),
+        okular-l10n,
         ${kde-l10n:all},
 Replaces: okular-extra-backends (<< 4:16.12.0),
           okular-mobile (<< 4:17.04.1-0),
+          okular-l10n,
           ${kde-l10n:all},
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
@@ -107,7 +104,7 @@
 Depends: libkf5config-dev (>= 5.16.0~),
          libkf5coreaddons-dev (>= 5.16.0~),
          libkf5xmlgui-dev,
-         libokular5core7 (= ${binary:Version}),
+         libokular5core8 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.0~),
          ${misc:Depends},
 Description: development files for the Okular libraries
@@ -140,10 +137,25 @@
  .
  This package is part of the KDE graphics module.
 
+Package: qml-module-org-kde-okular
+Architecture: any
+Depends: qml-module-qtgraphicaleffects,
+         qml-module-qtquick-controls2,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: okular (<< 4:17.12.2~),
+Replaces: okular (<< 4:17.12.2~),
+Description: mobile support for Okular - QML modules
+ This package contains the QML module for interfacing with the Okular core
+ library.
+ .
+ This package is part of the KDE graphics module.
+
 Package: okular-mobile
 Architecture: any
-Depends: qml-module-org-kde-kirigami,
+Depends: qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-okular (= ${binary:Version}),
          qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls2,
          ${misc:Depends},
