=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         texlive-latex-base, xscreensaver
Restrictions: build-needed
